<?php

namespace App\EntityList;

/**
 * The class manages the list of auto-process rules.
 * @author Gabriel
 */
class AutoProcessRules extends \App\EntityList\GeneralAbstract
{

	/**
	 * (non-PHPdoc)
	 * @see \App\EntityList\GeneralAbstract::loadDbTablesCfgs()
	 */
	protected function loadDbTablesCfgs(): void
	{
		// store the table name
		global $DBTAutoProcessRules, $DBTAutoProcessRulesCache;
		$this->setMainTable($DBTAutoProcessRules, 'rules');
		$this->addAllowedTable($DBTAutoProcessRulesCache, 'rulesCache', 'rules.id=rulesCache.idRule', 'LEFT');
	}

}

